spring:
  ### H2 Console in Browser:
  # http://127.0.0.1:8083/h2-console
  # Enabling H2 Console
  h2:
    console:
      enabled: true

  ### DATABASE
  datasource:
    url: jdbc:h2:mem:attention_service;DB_CLOSE_DELAY=1;DB_CLOSE_ON_EXIT=FALSE
    driver-class-name: org.h2.Driver
    platform: h2
    username: attention_service
    password: attention_service

  ### JPA HIBERNATE
  jpa:
    show-sql: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        show_sql: true
        use_sql_comments: false
        format_sql: false
        default_schema: attention
    database-platform: org.hibernate.dialect.H2Dialect

logging:
  level:
    org.hibernate.SQL: debug

## SPRING CLOUD - MICROSERVICE LOCAL
## Disable EUREKA in development
eureka:
  client:
    enabled: false

## ATTENTION SERVICE - ENV VARIABLES
attention:
  videocalling:
    app:
      id: ""
      certificate: ""
